From fc615702852c1f9d87f27ff6ccba766f8c381b85 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20P=C3=A9ters?= <fpeters@entrouvert.com>
Date: Sun, 29 Sep 2019 20:53:23 +0200
Subject: [PATCH] misc: use relative imports (#36517)

---
 extra/pyvotecore/vote_field.py                |  2 +-
 extra/vote/anonymity.py                       |  2 +-
 extra/vote/ranked_items.py                    |  2 +-
 tests/test_admin_pages.py                     |  4 +-
 tests/test_api.py                             | 11 ++-
 tests/test_backoffice_pages.py                |  8 +-
 tests/test_datasource.py                      | 10 +--
 tests/test_fc_auth.py                         | 12 +--
 tests/test_fields.py                          |  2 +-
 tests/test_form_pages.py                      | 50 ++++++------
 tests/test_formdata.py                        |  4 +-
 tests/test_formdef_import.py                  |  2 +-
 tests/test_publisher.py                       |  2 +-
 tests/test_role.py                            |  2 +-
 tests/test_templates.py                       |  4 +-
 tests/test_workflow_import.py                 |  2 +-
 tests/test_workflows.py                       |  6 +-
 tests/utilities.py                            | 21 +----
 wcs/__init__.py                               | 11 +--
 wcs/admin/__init__.py                         |  2 +-
 wcs/admin/bounces.py                          | 18 ++---
 wcs/admin/categories.py                       |  6 +-
 wcs/admin/data_sources.py                     | 10 +--
 wcs/admin/fields.py                           | 10 +--
 wcs/admin/forms.py                            | 18 ++---
 wcs/admin/logged_errors.py                    |  6 +-
 wcs/admin/roles.py                            |  8 +-
 wcs/admin/settings.py                         | 55 +++++++------
 wcs/admin/users.py                            | 30 +++----
 wcs/admin/workflows.py                        | 14 ++--
 wcs/admin/wscalls.py                          |  8 +-
 wcs/api.py                                    | 16 ++--
 wcs/api_utils.py                              |  2 +-
 wcs/backoffice/__init__.py                    |  2 +-
 wcs/backoffice/cards.py                       |  4 +-
 wcs/backoffice/data_management.py             |  6 +-
 wcs/backoffice/management.py                  | 32 ++++----
 wcs/backoffice/root.py                        | 14 ++--
 wcs/backoffice/studio.py                      |  6 +-
 wcs/backoffice/submission.py                  |  8 +-
 wcs/carddef.py                                |  2 +-
 wcs/categories.py                             | 10 +--
 wcs/conditions.py                             |  4 +-
 wcs/ctl/backup.py                             |  2 +-
 wcs/ctl/check_hobos.py                        | 10 +--
 wcs/ctl/delete_tenant.py                      |  2 +-
 wcs/ctl/export_settings.py                    |  2 +-
 wcs/ctl/hobo_notify.py                        |  4 +-
 wcs/ctl/management/commands/__init__.py       |  2 +-
 wcs/ctl/management/commands/convert_to_sql.py |  2 +-
 wcs/ctl/management/commands/runscript.py      |  2 +-
 wcs/ctl/process_bounce.py                     |  8 +-
 wcs/ctl/rebuild_indexes.py                    |  2 +-
 wcs/ctl/restore.py                            |  2 +-
 wcs/ctl/runscript.py                          |  2 +-
 wcs/ctl/shell.py                              |  2 +-
 wcs/ctl/wipe_data.py                          |  2 +-
 wcs/data_sources.py                           | 36 ++++-----
 wcs/fields.py                                 | 20 ++---
 wcs/formdata.py                               | 32 ++++----
 wcs/formdef.py                                | 32 ++++----
 wcs/forms/actions.py                          | 10 +--
 wcs/forms/backoffice.py                       |  8 +-
 wcs/forms/common.py                           | 12 +--
 wcs/forms/preview.py                          |  2 +-
 wcs/forms/root.py                             | 16 ++--
 wcs/forms/workflows.py                        |  2 +-
 wcs/logged_errors.py                          |  4 +-
 wcs/myspace.py                                |  4 +-
 wcs/portfolio.py                              | 11 +--
 wcs/publisher.py                              | 22 +++---
 wcs/qommon/__init__.py                        |  4 +-
 wcs/qommon/admin/cfg.py                       |  2 +-
 wcs/qommon/admin/emails.py                    | 10 +--
 wcs/qommon/admin/logger.py                    |  8 +-
 wcs/qommon/admin/menu.py                      |  4 +-
 wcs/qommon/admin/settings.py                  |  8 +-
 wcs/qommon/admin/texts.py                     | 10 +--
 wcs/qommon/afterjobs.py                       |  6 +-
 wcs/qommon/backoffice/__init__.py             |  2 +-
 wcs/qommon/backoffice/listing.py              |  2 +-
 wcs/qommon/backoffice/menu.py                 |  4 +-
 wcs/qommon/backoffice/root.py                 |  4 +-
 wcs/qommon/bounces.py                         |  2 +-
 wcs/qommon/ctl.py                             |  4 +-
 wcs/qommon/emails.py                          | 17 ++--
 wcs/qommon/errors.py                          |  8 +-
 wcs/qommon/form.py                            | 12 +--
 wcs/qommon/http_request.py                    |  4 +-
 wcs/qommon/http_response.py                   |  6 +-
 wcs/qommon/humantime.py                       |  2 +-
 wcs/qommon/ident/__init__.py                  |  2 +-
 wcs/qommon/ident/franceconnect.py             | 10 +--
 wcs/qommon/ident/idp.py                       | 26 +++----
 wcs/qommon/ident/password.py                  | 36 ++++-----
 wcs/qommon/ident/password_accounts.py         |  2 +-
 .../management/commands/collectstatic.py      |  2 +-
 wcs/qommon/management/commands/cron.py        |  6 +-
 wcs/qommon/management/commands/migrate.py     |  2 +-
 wcs/qommon/misc.py                            |  8 +-
 wcs/qommon/myspace.py                         | 16 ++--
 wcs/qommon/pages.py                           |  4 +-
 wcs/qommon/publisher.py                       | 37 ++++-----
 wcs/qommon/saml2.py                           | 12 +--
 wcs/qommon/saml2utils.py                      |  2 +-
 wcs/qommon/sessions.py                        |  6 +-
 wcs/qommon/sms.py                             |  6 +-
 wcs/qommon/storage.py                         |  8 +-
 wcs/qommon/substitution.py                    |  2 +-
 wcs/qommon/template.py                        | 14 ++--
 wcs/qommon/tokens.py                          |  2 +-
 wcs/roles.py                                  |  9 +--
 wcs/root.py                                   | 76 +++++++++---------
 wcs/sessions.py                               |  8 +-
 wcs/sql.py                                    | 10 +--
 wcs/tracking_code.py                          |  4 +-
 wcs/users.py                                  | 10 +--
 wcs/variables.py                              | 16 ++--
 wcs/wf/aggregation_email.py                   | 12 +--
 wcs/wf/attachment.py                          |  4 +-
 wcs/wf/backoffice_fields.py                   |  4 +-
 wcs/wf/criticality.py                         |  2 +-
 wcs/wf/dispatch.py                            |  8 +-
 wcs/wf/export_to_model.py                     | 13 ++--
 wcs/wf/form.py                                |  4 +-
 wcs/wf/geolocate.py                           | 10 +--
 wcs/wf/jump.py                                | 12 +--
 wcs/wf/notification.py                        |  8 +-
 wcs/wf/profile.py                             | 10 +--
 wcs/wf/redirect_to_url.py                     |  4 +-
 wcs/wf/register_comment.py                    |  8 +-
 wcs/wf/remove.py                              |  2 +-
 wcs/wf/resubmit.py                            |  2 +-
 wcs/wf/roles.py                               | 10 +--
 wcs/wf/wscall.py                              |  8 +-
 wcs/workflows.py                              | 78 +++++++++----------
 wcs/wscalls.py                                | 18 ++---
 137 files changed, 674 insertions(+), 701 deletions(-)

diff --git a/extra/pyvotecore/vote_field.py b/extra/pyvotecore/vote_field.py
index d4abd0fe8..bd3f9e7af 100644
--- a/extra/pyvotecore/vote_field.py
+++ b/extra/pyvotecore/vote_field.py
@@ -18,7 +18,7 @@
 
 import random
 from quixote.html import htmltext, TemplateIO
-from qommon.form import CompositeWidget, IntWidget, WidgetList, StringWidget, \
+from wcs.qommon.form import CompositeWidget, IntWidget, WidgetList, StringWidget, \
         CheckboxWidget, SingleSelectWidget
 from wcs.fields import WidgetField, register_field_class
 from pyvotecore import schulze_method, irv, ranked_pairs, schulze_pr, \
diff --git a/extra/vote/anonymity.py b/extra/vote/anonymity.py
index df39e14dd..67b6c83d1 100644
--- a/extra/vote/anonymity.py
+++ b/extra/vote/anonymity.py
@@ -19,7 +19,7 @@
 from quixote import get_publisher
 
 from wcs.fields import WidgetField, register_field_class
-from qommon.form import *
+from wcs.qommon.form import *
 
 class VoteAnonymityWidget(CheckboxWidget):
     vote_anonymity = 'anonymous'
diff --git a/extra/vote/ranked_items.py b/extra/vote/ranked_items.py
index d83077820..b975a5e69 100644
--- a/extra/vote/ranked_items.py
+++ b/extra/vote/ranked_items.py
@@ -18,7 +18,7 @@
 
 import random
 from quixote.html import htmltext, TemplateIO
-from qommon.form import *
+from wcs.qommon.form import *
 from wcs.fields import WidgetField, register_field_class
 
 class RankedItemsWidget(CompositeWidget):
diff --git a/tests/test_admin_pages.py b/tests/test_admin_pages.py
index a45bd4ad9..d4067ede4 100644
--- a/tests/test_admin_pages.py
+++ b/tests/test_admin_pages.py
@@ -28,7 +28,7 @@ from quixote.http_request import Upload as QuixoteUpload
 
 from wcs.qommon import errors, sessions
 from wcs.qommon.form import UploadedFile
-from qommon.ident.password_accounts import PasswordAccount
+from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.template import get_current_theme
 from wcs.qommon.bounces import Bounce
@@ -4501,7 +4501,7 @@ def test_settings_idp(pub):
     resp = resp.forms[0].submit() # confirm delete
     assert len(pub.cfg['idp']) == 0
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         idp_metadata_filename = os.path.join(os.path.dirname(__file__), 'idp_metadata.xml')
         urlopen.side_effect = lambda *args: open(idp_metadata_filename)
         resp = app.get('/backoffice/settings/identification/idp/idp/')
diff --git a/tests/test_api.py b/tests/test_api.py
index 8d3a3ee37..a38d37c89 100644
--- a/tests/test_api.py
+++ b/tests/test_api.py
@@ -530,7 +530,7 @@ def test_formdef_schema(pub):
     formdef.workflow_id = workflow.id
     formdef.store()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         urlopen.side_effect = lambda *args: StringIO('''\
 {"data": [{"id": 0, "text": "zéro", "foo": "bar"}, \
 {"id": 1, "text": "uné", "foo": "bar1"}, \
@@ -1282,9 +1282,8 @@ def test_formdata_with_workflow_data(pub, local_user):
     formdata.status = 'wf-new'
     formdata.evolution[-1].status = 'wf-new'
 
-    from qommon.form import PicklableUpload as PicklableUpload2
     from wcs.qommon.form import PicklableUpload as PicklableUpload3
-    upload = PicklableUpload2('test.txt', 'text/plain', 'ascii')
+    upload = PicklableUpload3('test.txt', 'text/plain', 'ascii')
     upload.receive(['test'])
     upload2 = PicklableUpload3('test.txt', 'text/plain', 'ascii')
     upload2.receive(['test'])
@@ -2547,7 +2546,7 @@ def test_get_secret_and_orig(no_request_pub):
     assert orig == 'example.net'
 
 def test_reverse_geocoding(pub):
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         urlopen.side_effect = lambda *args: StringIO(json.dumps({'address': 'xxx'}))
         get_app(pub).get('/api/reverse-geocoding', status=400)
         resp = get_app(pub).get('/api/reverse-geocoding?lat=0&lon=0')
@@ -2603,7 +2602,7 @@ def test_formdef_submit_structured(pub, local_user):
             '?format=json&orig=coucou&email=%s' % urllib.quote(local_user.email), '1234')
         return signed_url[len('http://example.net'):]
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         urlopen.side_effect = lambda *args: StringIO('''\
 {"data": [{"id": 0, "text": "zéro", "foo": "bar"}, \
 {"id": 1, "text": "uné", "foo": "bar1"}, \
@@ -2634,7 +2633,7 @@ def test_formdef_submit_structured(pub, local_user):
 
 
 def test_geocoding(pub):
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         urlopen.side_effect = lambda *args: StringIO(json.dumps([{'lat': 0, 'lon': 0}]))
         get_app(pub).get('/api/geocoding', status=400)
         resp = get_app(pub).get('/api/geocoding?q=test')
diff --git a/tests/test_backoffice_pages.py b/tests/test_backoffice_pages.py
index accb8691a..5df73ed66 100644
--- a/tests/test_backoffice_pages.py
+++ b/tests/test_backoffice_pages.py
@@ -22,11 +22,11 @@ except ImportError:
     xlwt = None
 
 from quixote import cleanup, get_publisher
-from qommon import ods
+from wcs.qommon import ods
 from wcs.api_utils import sign_url
 from wcs.qommon import errors, sessions
 from wcs.qommon.form import PicklableUpload
-from qommon.ident.password_accounts import PasswordAccount
+from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.qommon.http_request import HTTPRequest
 from wcs.roles import Role
 from wcs.workflows import (Workflow, CommentableWorkflowStatusItem,
@@ -2899,7 +2899,7 @@ def test_backoffice_wfedit_and_data_source_with_user_info(pub):
 
     app = login(get_app(pub))
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': 'A', 'text': 'hello'}, {'id': 'B', 'text': 'world'}]}
         def side_effect(url, *args):
             assert '?name_id=admin' in url
@@ -4023,7 +4023,7 @@ def test_backoffice_workflow_form_with_live_data_source(pub):
 
     app = get_app(pub)
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data1 = {'data': [{'id': 'A', 'text': 'hello'}, {'id': 'B', 'text': 'world'}]}
         data2 = {'data': [{'id': 'C', 'text': 'hello'}, {'id': 'D', 'text': 'world'}]}
         def side_effect(url, *args):
diff --git a/tests/test_datasource.py b/tests/test_datasource.py
index 9224cc8a8..8c14d6dad 100644
--- a/tests/test_datasource.py
+++ b/tests/test_datasource.py
@@ -387,7 +387,7 @@ def test_data_source_unicode():
 
     data_source2 = NamedDataSource.select()[0]
     assert data_source2.data_source == data_source.data_source
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         urlopen.side_effect = lambda *args: StringIO(
                 '{"data": [{"id": 0, "text": "zéro"}, {"id": 1, "text": "uné"}, {"id": 2, "text": "deux"}]}')
         assert data_sources.get_items({'type': 'foobar'}) == [
@@ -403,7 +403,7 @@ def test_data_source_signed(no_request_pub):
     data_source.data_source = {'type': 'json', 'value': "https://api.example.com/json"}
     data_source.store()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         urlopen.side_effect = lambda *args: StringIO(
                 '{"data": [{"id": 0, "text": "zero"}]}')
         assert len(data_sources.get_items({'type': 'foobar'})) == 1
@@ -420,7 +420,7 @@ def test_data_source_signed(no_request_pub):
 
     data_source.data_source = {'type': 'json', 'value': "https://api.example.com/json?foo=bar"}
     data_source.store()
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         urlopen.side_effect = lambda *args: StringIO(
                 '{"data": [{"id": 0, "text": "zero"}]}')
         assert len(data_sources.get_items({'type': 'foobar'})) == 1
@@ -437,7 +437,7 @@ def test_data_source_signed(no_request_pub):
 
     data_source.data_source = {'type': 'json', 'value': "https://no-secret.example.com/json"}
     data_source.store()
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         urlopen.side_effect = lambda *args: StringIO(
                 '{"data": [{"id": 0, "text": "zero"}]}')
         assert len(data_sources.get_items({'type': 'foobar'})) == 1
@@ -450,7 +450,7 @@ def test_named_datasource_json_cache(requests_pub):
     datasource.data_source = {'type': 'json', 'value': 'http://whatever/'}
     datasource.store()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         urlopen.side_effect = lambda *args: StringIO(
             json.dumps({'data': [{'id': '1', 'text': 'foo'}, {'id': '2', 'text': 'bar'}]}))
 
diff --git a/tests/test_fc_auth.py b/tests/test_fc_auth.py
index 8b446f104..66e54a058 100644
--- a/tests/test_fc_auth.py
+++ b/tests/test_fc_auth.py
@@ -144,8 +144,8 @@ def test_fc_login_page(caplog):
     }
 
     assert pub.user_class.count() == 0
-    with mock.patch('qommon.ident.franceconnect.http_post_request') as http_post_request, \
-            mock.patch('qommon.ident.franceconnect.http_get_page') as http_get_page:
+    with mock.patch('wcs.qommon.ident.franceconnect.http_post_request') as http_post_request, \
+            mock.patch('wcs.qommon.ident.franceconnect.http_get_page') as http_get_page:
         http_post_request.return_value = (None, 200, json.dumps(token_result), None)
         http_get_page.return_value = (None, 200, json.dumps(user_info_result), None)
         resp = app.get('/ident/fc/callback?%s' % urllib.urlencode({
@@ -197,8 +197,8 @@ def test_fc_login_page(caplog):
         id_token['nonce'] = qs['nonce'][0]
         token_result['id_token'] = '.%s.' % base64url_encode(json.dumps(id_token))
 
-        with mock.patch('qommon.ident.franceconnect.http_post_request') as http_post_request, \
-                mock.patch('qommon.ident.franceconnect.http_get_page') as http_get_page:
+        with mock.patch('wcs.qommon.ident.franceconnect.http_post_request') as http_post_request, \
+                mock.patch('wcs.qommon.ident.franceconnect.http_get_page') as http_get_page:
             http_post_request.return_value = (None, 200, json.dumps(token_result), None)
             http_get_page.return_value = (None, 200, json.dumps(user_info_result), None)
             resp = app.get('/ident/fc/callback?%s' % urllib.urlencode({
@@ -245,8 +245,8 @@ def test_fc_login_page(caplog):
         'family_name': 'Deux',
         # 'email': 'john.deux@example.com',  # missing
     }
-    with mock.patch('qommon.ident.franceconnect.http_post_request') as http_post_request, \
-            mock.patch('qommon.ident.franceconnect.http_get_page') as http_get_page:
+    with mock.patch('wcs.qommon.ident.franceconnect.http_post_request') as http_post_request, \
+            mock.patch('wcs.qommon.ident.franceconnect.http_get_page') as http_get_page:
         http_post_request.return_value = (None, 200, json.dumps(token_result), None)
         http_get_page.return_value = (None, 200, json.dumps(bad_user_info_result), None)
         resp = app.get('/ident/fc/callback?%s' % urllib.urlencode({
diff --git a/tests/test_fields.py b/tests/test_fields.py
index 088153915..a1f6fae7b 100644
--- a/tests/test_fields.py
+++ b/tests/test_fields.py
@@ -8,7 +8,7 @@ import pytest
 
 from quixote import cleanup
 from quixote.http_request import Upload
-from qommon.http_request import HTTPRequest
+from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon import sessions
 from wcs import fields
 from wcs.qommon.form import Form
diff --git a/tests/test_form_pages.py b/tests/test_form_pages.py
index 0b13ade6f..c80bae617 100644
--- a/tests/test_form_pages.py
+++ b/tests/test_form_pages.py
@@ -850,7 +850,7 @@ def test_form_multi_page_many_conditions(pub):
     formdef.store()
     formdef.data_class().wipe()
 
-    with mock.patch('qommon.publisher.Substitutions.invalidate_cache') as invalidate_cache:
+    with mock.patch('wcs.qommon.publisher.Substitutions.invalidate_cache') as invalidate_cache:
         resp = get_app(pub).get('/test/')
         call_count = invalidate_cache.call_count
 
@@ -861,7 +861,7 @@ def test_form_multi_page_many_conditions(pub):
     formdef.store()
 
     # check the cache doesn't get invalidated for every page
-    with mock.patch('qommon.publisher.Substitutions.invalidate_cache') as invalidate_cache:
+    with mock.patch('wcs.qommon.publisher.Substitutions.invalidate_cache') as invalidate_cache:
         resp = get_app(pub).get('/test/')
         assert invalidate_cache.call_count == call_count
 
@@ -2496,7 +2496,7 @@ def test_form_page_formula_prefill_items_field(pub):
         data_source=ds, display_disabled_items=True,
         prefill={'type': 'formula', 'value': '["2"]'})]
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello'}, {'id': '2', 'text': 'world'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = get_app(pub).get('/test/')
@@ -4948,7 +4948,7 @@ def test_item_field_with_disabled_items(http_requests, pub):
         data_source=ds, display_disabled_items=True)]
     formdef.store()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello'}, {'id': '2', 'text': 'world'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = get_app(pub).get('/test/')
@@ -4961,7 +4961,7 @@ def test_item_field_with_disabled_items(http_requests, pub):
 
     formdef.data_class().wipe()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'disabled': True}, {'id': '2', 'text': 'world'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = get_app(pub).get('/test/')
@@ -4986,7 +4986,7 @@ def test_item_field_with_disabled_items(http_requests, pub):
         display_disabled_items=False)]
     formdef.store()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'disabled': True}, {'id': '2', 'text': 'world'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = get_app(pub).get('/test/')
@@ -5003,7 +5003,7 @@ def test_item_field_with_disabled_items(http_requests, pub):
         data_source=ds, display_mode='radio', display_disabled_items=True)]
     formdef.store()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello'}, {'id': '2', 'text': 'world'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = get_app(pub).get('/test/')
@@ -5016,7 +5016,7 @@ def test_item_field_with_disabled_items(http_requests, pub):
 
     formdef.data_class().wipe()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'disabled': True}, {'id': '2', 'text': 'world'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = get_app(pub).get('/test/')
@@ -5045,7 +5045,7 @@ def test_items_field_with_disabled_items(http_requests, pub):
         data_source=ds, display_disabled_items=True)]
     formdef.store()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello'}, {'id': '2', 'text': 'world'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = get_app(pub).get('/test/')
@@ -5058,7 +5058,7 @@ def test_items_field_with_disabled_items(http_requests, pub):
 
     formdef.data_class().wipe()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'disabled': True}, {'id': '2', 'text': 'world'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = get_app(pub).get('/test/')
@@ -5075,7 +5075,7 @@ def test_items_field_with_disabled_items(http_requests, pub):
         data_source=ds, display_disabled_items=False)]
     formdef.store()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'disabled': True}, {'id': '2', 'text': 'world'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = get_app(pub).get('/test/')
@@ -5104,7 +5104,7 @@ def test_item_field_autocomplete_json_source(http_requests, pub):
     ]
     formdef.store()
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'},
                          {'id': '2', 'text': 'world', 'extra': 'bar'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
@@ -5121,7 +5121,7 @@ def test_item_field_autocomplete_json_source(http_requests, pub):
     # check hint is displayed within
     formdef.fields[0].hint = 'help text'
     formdef.store()
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'},
                          {'id': '2', 'text': 'world', 'extra': 'bar'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
@@ -5141,7 +5141,7 @@ def test_item_field_autocomplete_json_source(http_requests, pub):
     formdef.data_class().wipe()
 
     app = get_app(pub)
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'},
                          {'id': '2', 'text': 'world', 'extra': 'bar'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
@@ -5150,7 +5150,7 @@ def test_item_field_autocomplete_json_source(http_requests, pub):
         pq = resp.pyquery.remove_namespaces()
         select2_url = pq('select').attr['data-select2-url']
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp2 = app.get(select2_url + '?q=hell')
@@ -5166,7 +5166,7 @@ def test_item_field_autocomplete_json_source(http_requests, pub):
     resp.form['f0'].force_value('1')
     resp.form.fields['f0_display'].force_value('hello')
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = resp.form.submit('submit') # -> validation page
@@ -5175,7 +5175,7 @@ def test_item_field_autocomplete_json_source(http_requests, pub):
         assert resp.form['f0'].value == '1'
         assert resp.form['f0_label'].value == 'hello'
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = resp.form.submit('submit') # -> submit
@@ -5193,7 +5193,7 @@ remote.example.net = 1234
 ''')
 
     app = get_app(pub)
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'},
                          {'id': '2', 'text': 'world', 'extra': 'bar'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
@@ -5202,7 +5202,7 @@ remote.example.net = 1234
         pq = resp.pyquery.remove_namespaces()
         select2_url = pq('select').attr['data-select2-url']
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp2 = app.get(select2_url + '?q=hell')
@@ -5215,7 +5215,7 @@ remote.example.net = 1234
     resp.form['f0'].force_value('1')
     resp.form.fields['f0_display'].force_value('hello')
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = resp.form.submit('submit') # -> validation page
@@ -5224,7 +5224,7 @@ remote.example.net = 1234
         assert resp.form['f0'].value == '1'
         assert resp.form['f0_label'].value == 'hello'
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
         resp = resp.form.submit('submit') # -> submit
@@ -5240,7 +5240,7 @@ remote.example.net = 1234
     formdef.store()
 
     app = get_app(pub)
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         data = {'data': [{'id': '1', 'text': 'hello', 'extra': 'foo'},
                          {'id': '2', 'text': 'world', 'extra': 'bar'}]}
         urlopen.side_effect = lambda *args: StringIO.StringIO(json.dumps(data))
@@ -5274,7 +5274,7 @@ def test_item_field_autocomplete_jsonp_source(http_requests, pub):
     formdef.store()
 
     app = get_app(pub)
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         resp = app.get('/test/')
         assert urlopen.call_count == 0
         pq = resp.pyquery.remove_namespaces()
@@ -5287,13 +5287,13 @@ def test_item_field_autocomplete_jsonp_source(http_requests, pub):
     resp.form['f0'].force_value('1')
     resp.form['f0_display'].force_value('hello')
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         resp = resp.form.submit('submit') # -> validation page
         assert urlopen.call_count == 0
         assert resp.form['f0'].value == '1'
         assert resp.form['f0_label'].value == 'hello'
 
-    with mock.patch('qommon.misc.urlopen') as urlopen:
+    with mock.patch('wcs.qommon.misc.urlopen') as urlopen:
         resp = resp.form.submit('submit') # -> submit
         assert urlopen.call_count == 0
         assert formdef.data_class().select()[0].data['0'] == '1'
